
%define 	module	remoteD

Summary:	Python module that simplifies multiprocess and IPC programming
Summary(pl.UTF-8):	Moduł Pythona upraszczający programowanie wieloprocesowe i IPC
Name:		python-%{module}
Version:	0.8
Release:	5
License:	BSD-style
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/remoted/%{module}-%{version}.tar.gz
# Source0-md5:	50798875923c85a53872f94ead36c72f
URL:		http://remoted.neurokode.com/
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
Requires:	python >= 2.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
remoteD is a Python module that make multiprocess programming and IPC
extremely simple. Each process has access to a shared datastore
maintained by a remoteD server. remoteD servers are auto created for
you when your first process creates a share stub.

%description -l pl.UTF-8
remoteD jest modułem Pythona szalenie ułatwiającym programowanie
wieloprocesowe i IPC. Każdy proces uzyskuje dostęp do dzielonego
zasobu danych utrzymywanego przez serwer remoteD. Serwery remoteD są
tworzone automatycznie, gdy pierwszy z procesów tworzy obszar
dzielony.

%package doc
Summary:	Documentation for remoteD module
Summary(pl.UTF-8):	Dokumentacja do modułu remoteD
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description doc
This package contains documentation files for remoteD Python module.

%description doc -l pl.UTF-8
Pakiet zawierający dokumentację dla modułu Pythona remoteD.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}

%py_install \
	--install-lib=%{py_sitescriptdir} \
	--optimize=2

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name \*.py -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG
%{py_sitescriptdir}/remoteD.py[oc]

%files doc
%defattr(644,root,root,755)
%doc docs/index.html
%changelog
* Sun Nov 29 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-remoteD.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 1620098
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> c66d044
- automatic change: use py_build/py_install macros

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> 5212c88
- unified first line (one with cvs keywords)

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> bfdd027
- added BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0a57686
- release 4

* Tue Oct 14 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4590e88
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 013d9a9
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ec3f777
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7bcaec3
- converted to UTF-8

* Sat Nov 27 2004 saq <saq@pld-linux.org> 243be8d
- massive attack: added missing python-devel epoch do BR

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> c7412b7
- removed %%include /usr/lib/rpm/macros.python

* Fri Jun 04 2004 jpc <jpc@pld-linux.org> 321c08a
- cosmetics

* Fri May 28 2004 Marcin Gajda <m.gajda@functional-software.com> b41df8c
- initial

